
QGIS Application - Bug report #2410

field calculator results may violate spatialite type contraints

2010-02-03 04:48 AM - Anita Graser

Status: Closed

Priority: Low

Assignee: nobody -

Category: GUI

Affected QGIS version: Regression?: No

Operating System: All Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 12470

Description

It's possible to turn editing on for spatialite layers, use e.g. field calculator or add geometries but it fails saving because spatialite provider

is read-only.

This is annoying and confuses users because they think it's their mistake.

Associated revisions

Revision 31b18a12 - 2010-02-07 10:43 PM - Jürgen Fischer

fix #2410

git-svn-id: http://svn.osgeo.org/qgis/trunk/qgis@12898 c8812cc2-4d05-0410-92ff-de0c093fc19c

Revision d240f031 - 2010-02-07 10:43 PM - Jürgen Fischer

fix #2410

git-svn-id: http://svn.osgeo.org/qgis/trunk@12898 c8812cc2-4d05-0410-92ff-de0c093fc19c

History

#1 - 2010-02-03 04:20 PM - Jürgen Fischer

The problem is not reproducable here.  Can you post the database?

#2 - 2010-02-04 01:30 AM - Jürgen Fischer

See also http://forum.qgis.org/viewtopic.php?f=2&#38;t=6103

#3 - 2010-02-07 10:05 AM - Giovanni Manghi

A few notes (tested on both linux and xp with qgis trunk and the spatialite sample dataset):

*) add a spatialite vector, open attributes properties and add a column. Save changes. If you open the attribute table the new column do not show (not even

in the field calculator). You need to remove the layer and add it again to see the new column (and be able to populate it).

*) as consequence if you add spatialite layer, toggle editing, open the field calculator and try to populate a new column, qgis will fail
Could not commit changes to layer Towns

Errors: SUCCESS: 1 attribute(s) added.

  ERROR: 8101 attribute value change(s) not applied.

#4 - 2010-02-07 01:44 PM - Jürgen Fischer

fixed in commit:d240f031 (SVN r12899).

#5 - 2010-02-08 02:00 PM - Giovanni Manghi

- Resolution set to fixed

- Status changed from Open to Closed
